import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('bo-doc-new-subject', 'Integration | Component | bo doc new subject', {
  integration: true
});

test('it renders', function(assert) {
  // Set any properties with this.set('myProperty', 'value');
  // Handle any actions with this.on('myAction', function(val) { ... });"

  this.render(hbs`{{bo-doc-new-subject}}`);

  assert.equal(this.$().text().trim(), '');

  // Template block usage:"
  this.render(hbs`
    {{#bo-doc-new-subject}}
      template block text
    {{/bo-doc-new-subject}}
  `);

  assert.equal(this.$().text().trim(), 'template block text');
});
